Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class WriteResponse.WriteResponseSerializer

    java.lang.Object
      org.apache.cassandra.db.WriteResponse.WriteResponseSerializer

All Implemented Interfaces:
  ICompactSerializer<WriteResponse>

Enclosing class:
  WriteResponse

    public static class WriteResponse.WriteResponseSerializer

extends java.lang.Object
implements ICompactSerializer<WriteResponse>

Constructor Summary
`WriteResponse.WriteResponseSerializer()`

Method Summary
`WriteResponse` | `deserialize(java.io.DataInputStream dis)` Deserialize into the specified DataInputStream instance.
`void` | `serialize(WriteResponse wm, java.io.DataOutputStream dos)` Serialize the specified type into the specified DataOutputStream instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteResponse.WriteResponseSerializer

    public WriteResponse.WriteResponseSerializer()

Method Detail

### serialize

    public void serialize(WriteResponse wm,
                          java.io.DataOutputStream dos)
                   throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `ICompactSerializer<WriteResponse>`
  Parameters:
    `wm` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public WriteResponse deserialize(java.io.DataInputStream dis)
                              throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer<WriteResponse>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation